simple_drag(1X)

NAME
simple_drag—Demonstrates how to add an XmNconvertCallback to a ScrollBar widget

SYNOPSIS
simple_drag

DESCRIPTION
simple_drag illustrates how an application can add an XmNconvertCallback procedure to a Motif application. In particular, the application adds an XmNconvertCallback procedure to a ScrollBar widget.

To exercise this program, you should place the cursor on the slider of the ScrollBar. Then press <Btn2> to begin a drag operation. A DragIcon will appear. Move the DragIcon to the Text widget and 'drop' the DragIcon anywhere inside the Text widget. The application will transfer the XmNvalue of the ScrollBar to the Text widget.

For details on the code, see Chapter 17 of the "OSF/Motif Programmer's Guide."